unit ScreenCmd00;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ScadaBase, VisMachine, VisMcha, ExtCtrls, Buttons,
  VisLabel, jpeg, frxpngimage;

type
  TScreenCmd00Form = class(TForm)
    Label7: TLabel;
    Label8: TLabel;
    pnl1: TPanel;
    Label3: TLabel;
    pnl2: TPanel;
    Label1: TLabel;
    pnl3: TPanel;
    Label2: TLabel;
    pnl4: TPanel;
    Label4: TLabel;
    pnl5: TPanel;
    Label5: TLabel;
    pnl6: TPanel;
    Label6: TLabel;
    procedure TabSheetMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure VisGetTagIndex(TagName: String; var TagIndex: Integer);
    procedure VisGetTagValue(TagIndex: Integer; var Value: Integer);
    procedure VisualDeviceClick(Sender: TObject);
    procedure GotoClick(Sender: TObject);
  public
    { Public declarations }
  end;

var
  ScreenCmd00Form: TScreenCmd00Form;

implementation
uses
  main,
  meslogging,
  TagStorage,
  numbers,
  RpVisualGlobal,
  RpVisualLegacyPanels,
  RpVisualUtils,
  RpVisualMain;


{$R *.dfm}

////////////////////////////////////////////////////////////////////////////////
procedure TScreenCmd00Form.VisGetTagIndex(TagName: String;
  var TagIndex: Integer);
begin
  TagIndex := GetTagIndex(TagName);
end;

procedure TScreenCmd00Form.VisGetTagValue(TagIndex: Integer;
  var Value: Integer);
begin
  Value := GetTagValue(TagIndex);
end;

procedure TScreenCmd00Form.VisualDeviceClick(Sender: TObject);
begin
  _VisualDeviceClick(sender);
end;

procedure TScreenCmd00Form.TabSheetMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  _TabSheetMouseDown(Sender, Button, Shift, X, Y);
end;
////////////////////////////////////////////////////////////////////////////////




procedure TScreenCmd00Form.GotoClick(Sender: TObject);
begin
  Form1.PageControl.ActivePageIndex := (Sender as TComponent).Tag;
end;


end.
